apiVersion: v1
kind: Service
metadata:
  name: {{ include "spring-chart.fullname" . }}
  labels:
    {{- include "spring-chart.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: 8080
      protocol: TCP
      name: http
  selector:
    {{- include "spring-chart.selectorLabels" . | nindent 4 }}
